Subject: bug#59408: Emacs infinitely load when opening .py file

From: Rodrigo Morales <[email-masked]>
Date: Sun, 20 Nov 2022 11:49:15 -0500

> Can you try the master branch of the Emacs Git repository, and see if
> your actual Python file loads reasonably fast with Emacs 29?

Done. I compiled Emacs from master branch, and I didn't find that
issue when opening my actual Python file, so, as you said, it seems
that the problem has been fixed in Emacs 29.

For the record, I compiled Emacs from the commit shown below (last
commit in master branch as of the time of this writing)

```
$ git log -n 1
commit 8874cd908c0ea0e2200f6f4f596bf645e76a0c0c (HEAD -> master,
origin/master, origin/HEAD)
Author: Po Lu <[email-masked]>
Date:   Sun Nov 20 21:01:10 2022 +0800

    Coalesce duplicate scroll valuator handling code

    Also, write more commentary.

    * src/xterm.c (xi_populate_scroll_valuator): New function.
    Describe the meaning of each field in xi_scroll_valuator_t.
    (xi_populate_device_from_info, xi_handle_new_classes): Factor
    out duplicate code to that function.
```

On Sun, Nov 20, 2022 at 5:52 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Rodrigo Morales <[email-masked]>
> > Date: Sun, 20 Nov 2022 05:35:34 -0500
> >
> > I've attached a file named "main.py". I've tried opening it with
> > "emacs -Q main.py" in a tty and Emacs infinitely loads.
> >
> > # Reproducing the bug
> >
> > 1. Open the file I've attached in this message with "emacs -Q main.py".
> >
> > At this point, Emacs will infinitely load (at least that's what I can
> > infer since I waited 30 seconds and then decided to kill the process)
>
> Thanks.  I can reproduce this in Emacs 28, but not in Emacs 29.  So I think
> this bug was already fixed for the upcoming Emacs 29 release.
>
> > It's worth mentioning that the attached file is a simplified version
> > of the file that I was editing. When I first found this bug, I was
> > editing a .py file with more lines and I found this infinite loading
> > when I executed M-x occur and searched for any string.
>
> Can you try the master branch of the Emacs Git repository, and see if your
> actual Python file loads reasonably fast with Emacs 29?
>